Bug 180294 - New port: devel/p5-Lingua-Translit
Summary: New port: devel/p5-Lingua-Translit
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-05 13:10 UTC by Anes Mukhametov
Modified: 2013-11-15 14:30 UTC (History)
0 users

See Also:


Attachments
p5-Lingua-Translit.shar (2.02 KB, text/plain)
2013-07-05 13:10 UTC, Anes Mukhametov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anes Mukhametov 2013-07-05 13:10:00 UTC
	New port: devel/p5-Lingua-Translit	
	Perl module to transliterate text
Comment 1 Edwin Groothuis freebsd_committer 2013-07-05 13:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-17 22:55:55 UTC
Responsible Changed
From-To: perl->miwi

I'll take it.
Comment 3 Bryan Drewery freebsd_committer 2013-09-22 15:09:39 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 4 Edwin Groothuis freebsd_committer 2013-11-14 20:56:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 5 Mathieu Arnold freebsd_committer 2013-11-15 11:44:37 UTC
Responsible Changed
From-To: perl->mat

Take
Comment 6 dfilter service freebsd_committer 2013-11-15 14:24:38 UTC
Author: mat
Date: Fri Nov 15 14:24:29 2013
New Revision: 333869
URL: http://svnweb.freebsd.org/changeset/ports/333869

Log:
  Add p5-Lingua-Translit 0.19, transliterates text between writing
  systems.
  
  PR:		ports/180294
  Submitted by:	Anes Mukhametov <anes@anes.su>

Added:
  head/devel/p5-Lingua-Translit/
  head/devel/p5-Lingua-Translit/Makefile   (contents, props changed)
  head/devel/p5-Lingua-Translit/distinfo   (contents, props changed)
  head/devel/p5-Lingua-Translit/pkg-descr   (contents, props changed)
  head/devel/p5-Lingua-Translit/pkg-plist   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Fri Nov 15 14:16:38 2013	(r333868)
+++ head/devel/Makefile	Fri Nov 15 14:24:29 2013	(r333869)
@@ -2190,6 +2190,7 @@
     SUBDIR += p5-Lexical-SealRequireHints
     SUBDIR += p5-Lexical-Var
     SUBDIR += p5-Lingua-JA-Fold
+    SUBDIR += p5-Lingua-Translit
     SUBDIR += p5-List-AllUtils
     SUBDIR += p5-List-Cycle
     SUBDIR += p5-List-Gen

Added: head/devel/p5-Lingua-Translit/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Lingua-Translit/Makefile	Fri Nov 15 14:24:29 2013	(r333869)
@@ -0,0 +1,19 @@
+# Created by: Anes Mukhametov <anes@anes.su>
+# $FreeBSD$
+
+PORTNAME=	Lingua-Translit
+PORTVERSION=	0.19
+CATEGORIES=	devel perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	anes@anes.su
+COMMENT=	Transliterates text between writing systems
+
+LICENSE=	GPLv2 ART20
+LICENSE_COMB=	dual
+
+USES=	perl5
+USE_PERL5=	configure
+
+.include <bsd.port.mk>

Added: head/devel/p5-Lingua-Translit/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Lingua-Translit/distinfo	Fri Nov 15 14:24:29 2013	(r333869)
@@ -0,0 +1,2 @@
+SHA256 (Lingua-Translit-0.19.tar.gz) = 4bffcb93d03246e34abba4c625589f7d66034ddb7fdd5649e3b3b670f2215be7
+SIZE (Lingua-Translit-0.19.tar.gz) = 378017

Added: head/devel/p5-Lingua-Translit/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Lingua-Translit/pkg-descr	Fri Nov 15 14:24:29 2013	(r333869)
@@ -0,0 +1,5 @@
+Lingua::Translit can be used to convert text from one writing system to
+another, based on national or international transliteration tables. Where
+possible a reverse transliteration is supported.
+
+WWW: http://search.cpan.org/dist/Lingua-Translit/

Added: head/devel/p5-Lingua-Translit/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Lingua-Translit/pkg-plist	Fri Nov 15 14:24:29 2013	(r333869)
@@ -0,0 +1,11 @@
+bin/translit
+%%PERL5_MAN3%%/Lingua::Translit.3.gz
+%%PERL5_MAN3%%/Lingua::Translit::Tables.3.gz
+man/man1/translit.1.gz
+%%SITE_PERL%%/Lingua/Translit/Tables.pm
+%%SITE_PERL%%/Lingua/Translit.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Lingua/Translit/.packlist
+@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Lingua/Translit
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Lingua
+@dirrm %%SITE_PERL%%/Lingua/Translit
+@dirrmtry %%SITE_PERL%%/Lingua
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Mathieu Arnold freebsd_committer 2013-11-15 14:24:42 UTC
State Changed
From-To: open->closed

Committed, thanks!